Subject: bug#65023: 29.1.50; Tramp 2.6.1.1 cannot be installed as ELPA package

From: Stefan Monnier <[email-masked]>
Date: Mon, 14 Aug 2023 23:09:32 -0400

> I've tried to apply this change, but it doesn't work as expected yet. I
> have performed the following steps:

The problem is that none of the Tramp package's code is executed before
building the autoloads file.  So if we want to fix the problem in
a seamless manner for the user I suspect we'll have to do something like
add an `emacs-29.1-fixup` package to GNU ELPA and add it to Tramp's
`Package-Requires:`.

        Stefan